Bug 556216 - Review Request: bangarang - A media player for the KDE SC
Summary: Review Request: bangarang - A media player for the KDE SC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 556289 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-17 08:19 UTC by Thomas Janssen
Modified: 2010-03-12 04:30 UTC (History)
6 users (show)

Fixed In Version: bangarang-1.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-11 13:33:57 UTC
rdieter: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Janssen 2010-01-17 08:19:08 UTC
Spec URL: http://thomasj.fedorapeople.org/reviews/bangarang.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/bangarang-1.0-1.rc1.fc12.src.rpm
Description: 
* Play your media (Media files, CD and DVD).
* Restrained interface that puts your media front-and-center.
* Media library functions that allow you simple, effective browsing and 
  categorization for all your media including:
	o Music
	o Audio streams
	o Audio clips
	o Movies
	o TV Shows
	o Video clips
* Rating and play count tracking
* Search functions
* Saved media lists including:
	o Save media lists for any media type
	o Save media list “views” – Save any view while browsing, 
	  including search results. Views are “live” – when you add 
	  that new Muse album to your library, your saved media list 
	  view will automatically reflect it.
* Employs core KDE4 technologies including:
	o Nepomuk – Uses and shares media data with the rest of your desktop.
	o Phonon – Whatever the phonon backend plays, Bangarang plays.

[thomas@tusdell ~]$ rpmlint rpmbuild/SPECS/bangarang.spec rpmbuild/SRPMS/bangarang-1.0-1.rc1.fc12.src.rpm rpmbuild/RPMS/x86_64/bangarang-*fc12*
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 2 Thomas Janssen 2010-01-18 10:19:43 UTC
*** Bug 556289 has been marked as a duplicate of this bug. ***

Comment 3 leigh scott 2010-01-21 09:48:10 UTC
Your desktop file has a error in it, I reported the issue here.

http://code.google.com/p/bangarangissuetracking/issues/detail?id=72

And they have now fixed it

http://gitorious.org/bangarang/bangarang/merge_requests/29

Comment 4 Thomas Janssen 2010-02-01 20:38:21 UTC
Thanks. Worked around that as well with sed as the other issue i reported.

http://code.google.com/p/bangarangissuetracking/issues/detail?id=76

http://thomasj.fedorapeople.org/reviews/bangarang-1.0-2.fc12.src.rpm
http://thomasj.fedorapeople.org/reviews/bangarang.spec

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Rex Dieter 2010-02-25 15:39:08 UTC
pardon while I do my standard pet peave...

I'd prefer if "for KDE..." was omitted from summary/description.  It should function and just work everywhere, so mentioning that doesn't really add any value, imo.

Comment 6 Rex Dieter 2010-02-25 15:50:02 UTC
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2014060

macros: good

rpmlint: clean

license: ok

source: ok
$ md5sum *.gz
35b7d5790b0b88310ef7d5cc6e00b736  113305-bangarang-1.0.tar.gz

it even works as advertised


APPROVED.

Comment 7 Thomas Janssen 2010-02-25 17:02:19 UTC
Thank you Rex for the review.

New Package CVS Request
=======================
Package Name: bangarang
Short Description: Media Player with nepomuk support
Owners: thomasj
Branches: F-11 F-12 F-13
InitialCC:

Comment 8 Jason Tibbitts 2010-02-25 17:46:14 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-02-25 22:17:46 UTC
bangarang-1.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bangarang-1.0-2.fc12

Comment 10 Fedora Update System 2010-02-25 22:17:51 UTC
bangarang-1.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bangarang-1.0-2.fc11

Comment 11 Fedora Update System 2010-02-25 22:17:55 UTC
bangarang-1.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bangarang-1.0-2.fc13

Comment 12 Fedora Update System 2010-02-26 11:48:07 UTC
bangarang-1.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bangarang'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2973

Comment 13 Fedora Update System 2010-02-27 03:40:16 UTC
bangarang-1.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bangarang'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-3058

Comment 14 Fedora Update System 2010-02-27 03:44:18 UTC
bangarang-1.0-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bangarang'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3081

Comment 15 Fedora Update System 2010-03-11 13:33:51 UTC
bangarang-1.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-03-12 04:30:17 UTC
bangarang-1.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-03-12 04:30:45 UTC
bangarang-1.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.